Support » Plugin: Add Link to Facebook » PHP 7 Compatibility

  • I ran the PHP Compatibility Checker plugin https://wordpress.org/plugins/php-compatibility-checker/
    checking for PHP 7 compatibility and got this result for this plugin:

    FILE: wp-content/plugins/add-link-to-facebook/add-link-to-facebook-int.php
    -------------------------------------------------------------------------------------
    FOUND 0 ERRORS AND 1 WARNING AFFECTING 1 LINE
    -------------------------------------------------------------------------------------
     1871 | WARNING | INI directive 'safe_mode' is deprecated since PHP 5.3 and removed since PHP 5.4.
    -------------------------------------------------------------------------------------
    
    FILE: wp-content/plugins/add-link-to-facebook/add-link-to-facebook-debug.php
    -------------------------------------------------------------------------------------
    FOUND 0 ERRORS AND 1 WARNING AFFECTING 1 LINE
    -------------------------------------------------------------------------------------
     66 | WARNING | INI directive 'safe_mode' is deprecated since PHP 5.3 and removed since PHP 5.4.
    -------------------------------------------------------------------------------------
    
    FILE: wp-content/plugins/add-link-to-facebook/add-link-to-facebook-class.php
    -------------------------------------------------------------------------------------
    FOUND 1 ERROR AND 1 WARNING AFFECTING 2 LINES
    -------------------------------------------------------------------------------------
      342 | WARNING | INI directive 'safe_mode' is deprecated since PHP 5.3 and removed since PHP 5.4.
     2320 | ERROR   | Using 'break' outside of a loop or switch structure is invalid and will throw a fatal error since PHP 7.0
    -------------------------------------------------------------------------------------
    
    FILE: wp-content/plugins/add-link-to-facebook/add-link-to-facebook-widget.php
    -------------------------------------------------------------------------------------
    FOUND 1 ERROR AND 1 WARNING AFFECTING 2 LINES
    -------------------------------------------------------------------------------------
       9 | WARNING | Use of deprecated PHP4 style class constructor is not supported since PHP 7.
     233 | ERROR   | Using 'break' outside of a loop or switch structure is invalid and will throw a fatal error since PHP 7.0
    -------------------------------------------------------------------------------------
    
    FILE: wp-content/plugins/add-link-to-facebook/add-link-to-facebook.php
    -------------------------------------------------------------------------------------
    FOUND 0 ERRORS AND 1 WARNING AFFECTING 1 LINE
    -------------------------------------------------------------------------------------
     43 | WARNING | Function name "__autoload_al2fb" is discouraged; PHP has reserved all method names with a double underscore prefix for future use
    -------------------------------------------------------------------------------------
Viewing 2 replies - 1 through 2 (of 2 total)
Viewing 2 replies - 1 through 2 (of 2 total)
  • The topic ‘PHP 7 Compatibility’ is closed to new replies.